package com.zhyc.module.stock.service;

import java.util.List;

import com.zhyc.module.stock.domain.WzStockIn;

/**
 * 入库记录Service接口
 * 
 * @author HashMap
 * @date 2025-08-05
 */
public interface IWzStockInService 
{
    /**
     * 查询入库记录
     * 
     * @param stockInCode 入库记录主键
     * @return 入库记录
     */
    WzStockIn selectWzStockInByStockInCode(Long stockInCode);

    /**
     * 查询入库记录列表
     * 
     * @param wzStockIn 入库记录
     * @return 入库记录集合
     */
    List<WzStockIn> selectWzStockInList(WzStockIn wzStockIn);

    /**
     * 新增入库记录
     * 
     * @param wzStockIn 入库记录
     * @return 结果
     */
    int insertWzStockIn(WzStockIn wzStockIn);

    /**
     * 修改入库记录
     * 
     * @param wzStockIn 入库记录
     * @return 结果
     */
    int updateWzStockIn(WzStockIn wzStockIn);

    /**
     * 批量删除入库记录
     * 
     * @param stockInCodes 需要删除的入库记录主键集合
     * @return 结果
     */
    int deleteWzStockInByStockInCodes(Long[] stockInCodes);

    /**
     * 删除入库记录信息
     * 
     * @param stockInCode 入库记录主键
     * @return 结果
     */
    int deleteWzStockInByStockInCode(Long stockInCode);

    /**
     * 导入入库数据
     *
     * @param StockInList 入库数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName 操作用户
     * @return 结果
     */
    String importUser(List<WzStockIn> StockInList, Boolean isUpdateSupport, String operName);
}
